﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="0_ServerSide.aspx.cs" Inherits="AjaxApplication.__ServerSide" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Server-Side</title>
    <link href="Design/Site.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
    
        
    <asp:DropDownList
        id="ddlCategory"
        AutoPostBack="true"
        DataSourceID="srcCategories"
        DataTextField="Name"
        DataValueField="Id"
        Runat="server" />
    
    <asp:SqlDataSource
        id="srcCategories"
        SelectCommand="SELECT Id, Name FROM MovieCategories"
        ConnectionString="<%$ ConnectionStrings:conMovies %>"
        Runat="server" />
    
    <br /><br />
    
    <asp:GridView
        id="grdMovies"
        DataSourceID="srcMovies"
        Runat="server" />
    
    <asp:SqlDataSource
        id="srcMovies"
        SelectCommand="SELECT Title, Director, DateReleased 
            FROM Movies WHERE CategoryId = @CategoryId"
        ConnectionString="<%$ ConnectionStrings:conMovies %>"
        Runat="server">
        <SelectParameters>
            <asp:ControlParameter
                Name="CategoryId"
                ControlID="ddlCategory" />
        </SelectParameters>
    </asp:SqlDataSource>    

    <br />
    Page Generated: <%= DateTime.Now.ToString("T") %>

    
    
    </div>
    </form>
</body>
</html>
