﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="1_ServerSideAjax.aspx.cs" Inherits="AjaxApplication.__ServerSideAjax" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>Server-Side Ajax</title>
    <link href="Design/Site.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <div>


    <asp:ScriptManager
        id="ScriptManager1"
        Runat="server" />

    <asp:DropDownList
        id="ddlCategory"
        AutoPostBack="true"
        DataSourceID="srcCategories"
        DataTextField="Name"
        DataValueField="Id"
        Runat="server" />
    
    <br /><br />
    
    <asp:UpdatePanel id="up1" runat="server">
    <Triggers>
        <asp:AsyncPostBackTrigger ControlID="ddlCategory" />
    </Triggers>
    <ContentTemplate>
        
        <asp:GridView
            id="grdMovies"
            DataSourceID="srcMovies"
            Runat="server" />

    
    </ContentTemplate>
    </asp:UpdatePanel>

    <br />
    Page Generated: <%= DateTime.Now.ToString("T") %>


    
    <asp:SqlDataSource
        id="srcCategories"
        SelectCommand="SELECT Id, Name FROM MovieCategories"
        ConnectionString="<%$ ConnectionStrings:conMovies %>"
        Runat="server" />

        
        <asp:SqlDataSource
            id="srcMovies"
            SelectCommand="SELECT Title, Director, DateReleased 
                FROM Movies WHERE CategoryId = @CategoryId"
            ConnectionString="<%$ ConnectionStrings:conMovies %>"
            Runat="server">
            <SelectParameters>
                <asp:ControlParameter
                    Name="CategoryId"
                    ControlID="ddlCategory" />
            </SelectParameters>
        </asp:SqlDataSource>    
    
    
    </div>
    </form>
</body>
</html>

